| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::Radians Struct Reference

`#include <scalar.h>`

## Public Member Functions
constexpr | Radians ()=default
constexpr | Radians (Scalar p_radians)
constexpr bool | IsFinite () const
constexpr Radians | operator- ()
constexpr Radians | operator+ (Radians r)
constexpr Radians | operator- (Radians r)
constexpr auto | operator<=> (const Radians &r) const =default

## Public Attributes
Scalar | radians = 0.0

## Detailed Description

Definition at line 44 of file scalar.h.

## Constructor & Destructor Documentation

## ◆ Radians() [1/2]

constexpr impeller::Radians::Radians | ( |  | ) |
| constexprdefault

## ◆ Radians() [2/2]

constexpr impeller::Radians::Radians | ( | Scalar | p_radians | ) |
| inlineexplicitconstexpr

Definition at line 49 of file scalar.h.

49 : radians(p_radians) {}
impeller::Radians::radians
Scalar radians
Definition: scalar.h:45

## Member Function Documentation

## ◆ IsFinite()

constexpr bool impeller::Radians::IsFinite | ( |  | ) | const
| inlineconstexpr

Definition at line 51 of file scalar.h.

51 { return std::isfinite(radians); }

References radians.

## ◆ operator+()

constexpr Radians impeller::Radians::operator+ | ( | Radians | r | ) |
| inlineconstexpr

Definition at line 55 of file scalar.h.

55 {
56 return Radians{radians + r.radians};
57 }
impeller::Radians::Radians
constexpr Radians()=default

References radians.

## ◆ operator-() [1/2]

constexpr Radians impeller::Radians::operator- | ( |  | ) |
| inlineconstexpr

Definition at line 53 of file scalar.h.

53 { return Radians{-radians}; }

References radians.

## ◆ operator-() [2/2]

constexpr Radians impeller::Radians::operator- | ( | Radians | r | ) |
| inlineconstexpr

Definition at line 59 of file scalar.h.

59 {
60 return Radians{radians - r.radians};
61 }

References radians.

## ◆ operator<=>()

constexpr auto impeller::Radians::operator<=> | ( | const Radians & | r | ) | const
| constexprdefault

## Member Data Documentation

## ◆ radians

Scalar impeller::Radians::radians = 0.0

Definition at line 45 of file scalar.h.

Referenced by impeller::Matrix::CosSin(), IsFinite(), impeller::Matrix::MakePerspective(), operator+(), operator-(), std::operator<<(), impeller::TPoint< T >::Rotate(), impeller::testing::TEST(), and impeller::testing::TEST_P().

The documentation for this struct was generated from the following file:

- impeller/geometry/scalar.h